package com.wechat.model.dto;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * @author jadyn.wu
 * @date: 2019-11-20 14:40
 */
public class PositionCvHisDto{
	private String intvId;		// 投递id
	private Integer posId;		// 职位ID（职位信息表中ID）
	private String candidate;		// 应聘者（用户code）
	private String cvTitle;		// 简历标题
	private String cvUrl;		// 简历地址
	private String cvStatus;		// 简历状态[0-新投递；1-已查看；2-已下载；3-邀请面试；4-录取；5-淘汰]
	private Date deliverDate;		// 投递时间
	
	private String jobName;
	private String name;        //企业名称
	private String foreignName; // 外文名称
	private String headPortrait; // 头像
	private String addProvinceName;
	private String addCityName;
	private String education;
	private String workExperience;
	
	private BigDecimal payFrom; // 薪资From
	
	private BigDecimal payTo; // 薪资To
	
	private String publisher; //发布者
	
	private InterviewListDto interviewInfo; // 邀请面试履历
	
	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}

	public String getAddProvinceName() {
		return addProvinceName;
	}

	public void setAddProvinceName(String addProvinceName) {
		this.addProvinceName = addProvinceName;
	}

	public String getAddCityName() {
		return addCityName;
	}

	public void setAddCityName(String addCityName) {
		this.addCityName = addCityName;
	}

	public String getEducation() {
		return education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

	public String getWorkExperience() {
		return workExperience;
	}

	public void setWorkExperience(String workExperience) {
		this.workExperience = workExperience;
	}

	public PositionCvHisDto() {
		super();
	}

	public Integer getPosId() {
		return posId;
	}

	public void setPosId(Integer posId) {
		this.posId = posId;
	}
	
	public String getCandidate() {
		return candidate;
	}

	public void setCandidate(String candidate) {
		this.candidate = candidate;
	}
	
	public String getCvTitle() {
		return cvTitle;
	}

	public void setCvTitle(String cvTitle) {
		this.cvTitle = cvTitle;
	}
	
	public String getCvUrl() {
		return cvUrl;
	}

	public void setCvUrl(String cvUrl) {
		this.cvUrl = cvUrl;
	}
	
	public Date getDeliverDate() {
		return deliverDate;
	}

	public void setDeliverDate(Date deliverDate) {
		this.deliverDate = deliverDate;
	}

	public String getCvStatus() {
		return cvStatus;
	}

	public void setCvStatus(String cvStatus) {
		this.cvStatus = cvStatus;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

	public BigDecimal getPayFrom() {
		return payFrom;
	}

	public void setPayFrom(BigDecimal payFrom) {
		this.payFrom = payFrom;
	}

	public BigDecimal getPayTo() {
		return payTo;
	}

	public void setPayTo(BigDecimal payTo) {
		this.payTo = payTo;
	}

	public String getIntvId() {
		return intvId;
	}

	public void setIntvId(String intvId) {
		this.intvId = intvId;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public InterviewListDto getInterviewInfo() {
		return interviewInfo;
	}

	public void setInterviewInfo(InterviewListDto interviewInfo) {
		this.interviewInfo = interviewInfo;
	}

}